package de.ronnyfriedland

import de.ronnyfriedland.scheduler.enums.EntryState;
import de.ronnyfriedland.scheduler.enums.PlannedDay;

class SchedulerTagLib {
	
	static namespace = "scheduler"

	/**
	 * Action zur Anzeige der geplanten Einträge
	 */
	def list = { attrs ->
		def plannedEntries = [:]
		
		for(PlannedDay day : PlannedDay.values()) {
			def entries = PlannedEntry.withCriteria {
				entry {
					not {
						eq("state", EntryState.DELETED)
					}
				}
				eq("plannedOnDay", day)
			}
			plannedEntries.put(day, entries)
		}
		out << render(template:'/scheduler/list', model:['plannedEntries':plannedEntries], plugin:'scheduler-plugin')
	}
	
}
